Add a deployment adapter
Attaches a LoRA adapter to a deployment. If the deployment is at adapter capacity, force can evict the oldest adapter.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project identifier.
Endpoint identifier.
Deployment identifier.
Body
Configuration for attaching a LoRA adapter to a deployment that has adapter loading enabled.
Response
OK
Adapter attached to a deployment with desired revision and observed load state.
Adapter model identifier attached to the deployment.
Adapter revision pinned on the deployment.
Per-cluster adapter load state reported by the controller.
Row-level etag required for UpdateAdapter and RemoveAdapter.
Resource name of the adapter model, using projects/{projectId}/models/{adapterModelId}.
Resource name of the adapter model revision pinned on the deployment, using projects/{projectId}/models/{adapterModelId}/revisions/{revisionId}.